summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2015-08-18 06:50:30 +0200
committerHans de Graaff <graaff@gentoo.org>2015-08-18 07:06:23 +0200
commit55c0a980991f5eaf503888abaf21e54b94c662b5 (patch)
treea6fccc2a078d2b606f9a1b95f1aa7333f21afdff /dev-ruby
parentsys-auth/consolekit: remove pm-utils dep add postinst message (diff)
downloadgentoo-55c0a980991f5eaf503888abaf21e54b94c662b5.tar.gz
gentoo-55c0a980991f5eaf503888abaf21e54b94c662b5.tar.bz2
gentoo-55c0a980991f5eaf503888abaf21e54b94c662b5.zip
dev-ruby/loofah: version bump
Package-Manager: portage-2.2.20.1
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/loofah/Manifest1
-rw-r--r--dev-ruby/loofah/loofah-2.0.3.ebuild28
2 files changed, 29 insertions, 0 deletions
diff --git a/dev-ruby/loofah/Manifest b/dev-ruby/loofah/Manifest
index 685dbca896f..e9b8e2e45c9 100644
--- a/dev-ruby/loofah/Manifest
+++ b/dev-ruby/loofah/Manifest
@@ -1,2 +1,3 @@
DIST loofah-2.0.1.gem 59392 SHA256 e47f811395f87885374e780e64034a7263b52d5308352e32851ccd0c1bd7c66c SHA512 6bed99fced69538aa64c6ef67878420ef88d427c7cf6e74599f33ff9cfc9fcd6e9450de30a922d54bdead4851a39ec0b4bd58e58ab5ed1ef89610151c7f9270f WHIRLPOOL d100ba311a54303a11227cc50d82c4469f2d66462b8614e3a1ff9d512340981219431968282dd84c4cad0970c4b462a0f6ce0bfa792f34bc3f83ab4cc2789807
DIST loofah-2.0.2.gem 59392 SHA256 1ab5fb9a1dca7b955e75d582f57d236de46430ab5c5b5a33987c04d3ec93ccc7 SHA512 f61b853847bd0dfecada1d8eb4f0ab1b179c804f0ac7c74f927a8275f6d1e9fb35456abdaa0ca3f81d8281f31c77088757fe2f994332ce0a742bb89fb1d2986c WHIRLPOOL a6ba55875d168e9a8c5bd3ad99e50f124f598ce21159025516ae7b4a7cf80e4a587f7c5f34c01ef568e4796a4a006ec4135b2da3938d40bbab7ce852a5ee54c4
+DIST loofah-2.0.3.gem 60416 SHA256 48c76e74f25229e0f492c2aaf770253fe44b162a0d18c2de1c59831b44d13781 SHA512 1f08bcfa09bf075b4d84707099cce6bdaa986cd6c79f63fc60c8bee4812c5a31cee1021cd314fc2033842d7b01ffe63f5f6acbf271a0db2ee631cd326520d700 WHIRLPOOL 6dc1ec2c70d8cd89e58fd59e4c656d2d780b3b9d0ac41434d3511dca1b38cd89e1156b3804a4121b1fc578a784331bffe5c47033b36b7a96579c8d3374ecafbf
diff --git a/dev-ruby/loofah/loofah-2.0.3.ebuild b/dev-ruby/loofah/loofah-2.0.3.ebuild
new file mode 100644
index 00000000000..abc8449c72a
--- /dev/null
+++ b/dev-ruby/loofah/loofah-2.0.3.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+USE_RUBY="ruby19 ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.rdoc README.rdoc"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A general library for manipulating and transforming HTML/XML documents and fragments."
+HOMEPAGE="https://github.com/flavorjones/loofah"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/nokogiri-1.5.9"
+
+ruby_add_bdepend "test? ( >=dev-ruby/rr-1.1.0 >=dev-ruby/hoe-2.3.0 )"
+
+all_ruby_prepare() {
+ # Avoid test failing on different whitespace.
+ sed -i -e '/test_fragment_whitewash_on_microsofty_markup/askip "gentoo"' test/integration/test_ad_hoc.rb || die
+}